Subject: mutt/procmail lock problem
From: Jason Tishler <[email-masked]>
To: "Gary R. Van Sickle" <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 17 Dec 2001 09:52:34 -0500

Gary,

I just discovered a locking problem with mutt 1.3.x that I believe
also affects the mutt 1.2.x that you contributed to Cygwin.  This lock
problem caused procmail to misfile messages to the wrong mbox file when
mutt happened to be writing to the mbox file that should have received
the message.  Under this situation, procmail complains to its logfile
with error messages of the following form:

    Error while writing to "x"

IMO, the root cause is due to "incorrect" group permissions for
"/var/spool/mail" on the build machine:

    $ ls -ld /var/spool/mail
    drwxr-xr-x    2 jtishler Administ        0 Dec 17 09:06 /var/spool/mail
         ^
         +--- should be writable

When built on such a machine, mutt's configure does not enable dotlocking:

    $ mutt -v  
    Mutt 1.2.5i (2000-07-28)
    [snip]
    System: CYGWIN_NT-5.0 1.3.6(0.47/3/2) [using ncurses 5.2]
    Compile options:
    -DOMAIN
    -DEBUG
    -HOMESPOOL  -USE_SETGID  -USE_DOTLOCK  +USE_FCNTL  -USE_FLOCK
                             ^^^^^^^^^^^^

I recommend "fixing" the permissions of "/var/spool/mail" on your machine:

    $ chmod g+w /var/spool/mail

and then releasing a new mutt package.

Thanks,
Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/